SoFullPath(3)

NAME
SoFullPath - The SoFullPath class allows examination of hidden children in paths.

SYNOPSIS

#include <Inventor/SoFullPath.h>

Inherits SoPath.

Inherited by SoTempPath.

  Public Member Functions
void pop (void)
SoNode * getTail (void) const
SoNode * getNodeFromTail (const int index) const
int getIndexFromTail (const int index) const
int getLength (void) const

  Additional Inherited Members

Detailed Description

The SoFullPath class allows examination of hidden children in paths. SoPath allows only access from the head node to the first node with hidden children, but not any further.

Since the SoFullPath is derived from SoPath and contains no private data, you can cast SoPath instances to the SoFullPath type. This will allow you to examine hidden children.

(Actually, you are not supposed to allocate instances of this class at all. It is only available as an 'extended interface' into the superclass SoPath.)

Member Function Documentation

  void SoFullPath::pop (void) [inline]
This method overrides SoPath::pop() to allow clients to get at all the nodes in the path.

  SoNode * SoFullPath::getTail (void) const
This method overrides SoPath::getTail() to allow clients to get the tail node, counting internal path nodes.

  SoNode * SoFullPath::getNodeFromTail (const int index) const
This method overrides SoPath::getNodeFromTail() to allow clients to get the node positioned index nodes from the tail, counting internal path nodes.

  int SoFullPath::getIndexFromTail (const int index) const
This method overrides SoPath::getIndexFromTail() to allow clients to get the child index number for nodes based on their position from the tail, counting hidden nodes.

  int SoFullPath::getLength (void) const
This method returns the length of the path, counting hidden nodes also.

Author

Generated automatically by Doxygen for Coin from the source code.